API Reference / Users Get a user Returns the profile of one user: display name, username, image, nationality, and platforms. The Application needs an active installation on this user. Other users answer 404 `not_found`.
GET /api/v2/users/{userId}
Parameters # Property Type Location Description userIdstringRequired path-
Request # curl --request GET 'https://strave.gg/api/v2/users/USER_ID' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'Response # 200Response for status 200
application/json 400Response for status 400
application/json 401Response for status 401
application/json 403Response for status 403
application/json 404Response for status 404
application/json 429Response for status 429
application/json 500Response for status 500
application/json 503Response for status 503
application/json Property Type Description dataobjectRequired - └ idstringRequired - └ displayNamestringRequired - └ usernamestring | nullRequired - └ imageUrlstring | nullRequired - └ nationalitystring | nullRequired - └ platformsstring[]Required - └ primaryPlatformstring | nullRequired -